#
# spec file for package python3-cerealizer
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-cerealizer
Version:        0.8.1
Release:        10.2
Summary:        A secure pickle-like module
License:        Python-2.0
Group:          Development/Libraries/Python
Url:            http://pypi.python.org/pypi/Cerealizer
Source:         https://pypi.python.org/packages/source/C/Cerealizer/Cerealizer-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
BuildArch:      noarch

%description
A secure pickle-like module. It support basic types (int, string, unicode,
tuple, list, dict, set,...), old and new-style classes (you need to register
the class for security), object cycles, and it can be extended to support
C-defined type.

%prep
%setup -q -n Cerealizer-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc README
%{python3_sitelib}/*

%changelog
* Wed Apr  8 2015 arun@gmx.de
- specfile:
  * added pypi location for tar-ball
  * removed modname variable
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * update copyright year
  * remove python(abi) requirement
* Fri Jan 11 2013 p.drouand@gmail.com
- Initial python3 support
